let emberValasztas = prompt("Kő, papír vagy olló?: ")
let lehetosegek = ["kő", "papír", "olló"]
let randomValasztas = lehetosegek[Math.floor(Math.random() * 3)]

const eldontes = {
    kő: {
        kő: "Döntetlen!",
        papír: "Vesztettél!",
        olló: "Nyertél!"
    },
    papír: {
        kő: "Nyertél!",
        papír: "Döntetlen!",
        olló: "Vesztettél!"
    },
    olló: {
        kő: "Vesztettél!",
        papír: "Nyertél!",
        olló: "Döntetlen!"
    }
}

function KoPapirOllo(ember, gep) {
    eredmeny = eldontes[ember][gep]
    console.log(eredmeny);
    console.log(`${ember}, ${gep}`);
}

KoPapirOllo(emberValasztas, randomValasztas)
